org.apache.cassandra.utils.memory

## Class AbstractAllocator

- java.lang.Object
- - org.apache.cassandra.utils.memory.AbstractAllocator

- Direct Known Subclasses:
    ContextAllocator, HeapAllocator

      public abstract class AbstractAllocator
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractAllocator()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract java.nio.ByteBuffer` | `allocate(int size)`
    `java.nio.ByteBuffer` | `clone(java.nio.ByteBuffer buffer)` Allocate a slice of the given length.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractAllocator

          public AbstractAllocator()

  - ### Method Detail

    - #### clone

          public java.nio.ByteBuffer clone(java.nio.ByteBuffer buffer)

      Allocate a slice of the given length.

    - #### allocate

          public abstract java.nio.ByteBuffer allocate(int size)

Copyright © 2018 The Apache Software Foundation